#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
%define		archlinux	%{_arch}-linux-thread-multi
#-----------------------------------------------------------------------------
Name		:	perl-HTTP-Cookies
Version		:	6.08
Release		:	17.0.10.rel%{?dist}
Summary		:	HTTP cookie jars
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/File::HomeDir

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	perl

BuildArch	:	noarch

Requires	:	perl

%global __requires_exclude perl\\((HTTP::Date|HTTP::Headers::Util|Win32)\\)$
#-----------------------------------------------------------------------------
%description
This class is for objects that represent a "cookie jar"
 that is, a database of all the HTTP cookies that a given
LWP::UserAgent object knows about.

Cookies are a general mechanism which server side connections
can use to both store and retrieve information on the client
side of the connection. For more information about cookies
refer to Cookie Spec and Cookie Central. This module also
implements the new style cookies described in RFC 2965.
The two variants of cookies are supposed to be able to coexist
happily.

Instances of the class HTTP::Cookies are able to store a
collection of Set-Cookie2: and Set-Cookie: headers and are
able to use this information to initialize Cookie-headers
in HTTP::Request objects. The state of a HTTP::Cookies
object can be saved in and restored from files.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%doc README.md
%{_datadir}/perl5/core_perl/HTTP/Cookies.pm
%{_datadir}/perl5/core_perl/HTTP/Cookies/*.pm
%{_mandir}/man3/*.3.gz

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=perl					\
	NO_PACKLIST=1						\
	NO_PERLLOCAL=1						\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	pure_install

# Fixup permissions for shared libraries from non-standard 555 to standard 755:
find									\
	%{buildroot}%{_datadir}/perl5			 		\
	-name \*.so							\
	-type f -exec chmod u+w {} \;

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name .bs -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir  {} 2>/dev/null ';'

#-----------------------------------------------------------------------------
%changelog
